Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Termination.TermCheck

Synopsis

- termDecl :: Declaration -> TCM Result
- termMutual :: [QName] -> TCM Result
- type Result = [TerminationError]
- type DeBruijnPat = DeBruijnPat' Int

# Documentation

termDecl :: Declaration -> TCM Result #

Entry point: Termination check a single declaration.

Precondition: `envMutualBlock` must be set correctly.

termMutual #

Arguments

:: [QName] | The function names defined in this block on top-level. (For error-reporting only.)
-> TCM Result |

Entry point: Termination check the current mutual block.

type Result = [TerminationError] #

The result of termination checking a module. Must be a `Monoid` and have `Singleton`.

type DeBruijnPat = DeBruijnPat' Int #

Patterns with variables as de Bruijn indices.